package com.liquidnet.service.sweet.constant;

/**
 *
 */
public class SweetConstant {

    public final static String REDIS_KEY_SWEET_MANUAL_PUSH_LIST = "sweet:manual:pushList";
    public final static String REDIS_KEY_SWEET_MANUAL_TIME_LIST = "sweet:manual:timeList:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_NOTIFY_LIST = "sweet:manual:notify:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_RICH_TEXT = "sweet:manual:richText:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_SORT = "sweet:manual:sort:manual:";

    public final static String REDIS_KEY_SWEET_ARTISTS_RELATION = "sweet:artists:relation:uid:";

    public final static String REDIS_KEY_SWEET_REMIND="sweet:remind:unionId:";

    public enum ManualPosition {
        POSITION_1("艺人"),
        POSITION_2("签售时间"),
        POSITION_3("吃喝玩乐"),
        POSITION_4("现场地图"),
        POSITION_5("如何到达"),
        POSITION_6("官方售卖"),
        POSITION_7("官方支持"),
        POSITION_8("观众须知"),
        POSITION_9("防疫指南"),
        POSITION_10("通知"),
        POSITION_11("观演攻略");

        private String message;

        ManualPosition(String message) {
            this.message = message;
        }

        public String getMessage() {
            return message;
        }
    }
}
